package org.netkernel.json.core.endpoint;

import org.json.CDL;
import org.json.JSONArray;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer1.representation.IDeterminateStringArray;
import org.netkernel.layer1.representation.IDeterminateStringRepresentation;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class JSONArrayParser extends StandardAccessorImpl
{

	public JSONArrayParser()
	{	this.declareThreadSafe();
	}

	@Override
	public void onSource(INKFRequestContext context) throws Exception
	{	IDeterminateStringRepresentation s=context.source("arg:operand", IDeterminateStringRepresentation.class);
		JSONArray ja=CDL.toJSONArray(s.getString());
		context.createResponseFrom(ja);
	}
}
